Программа: PHPWebGallery 1.5.2 и 1.6.0, возможно другие версии.

Уязвимость позволяет удаленному пользователю произвести XSS нападение. Уязвимость существует из-за недостаточной обработки входных данных в параметре "keyword" в сценарии comments.php. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный код сценария в браузере жертвы в контексте безопасности уязвимого сайта.

Пример:

http://victim/phpwebgallery/comments.php?keyword=%22%3E[XSS]



Оставить мнение